Subject: bug#25496: 25.1.91; INSIDE_EMACS env variable is not set in eshell

From: Eli Zaretskii <[email-masked]>
Date: Fri, 03 Apr 2020 15:17:30 +0300

> From: Noam Postavsky <[email-masked]>
> Date: Mon, 30 Mar 2020 19:11:04 -0400
> Cc: [email-masked]
> 
> > +If the value is a string, the value for the variable with that name in
> > +the current environment will be returned.  If no variable with that
> > +name exists in the environment, but if a symbol with that same name
> > +exists and has a value bound to it, then that value will be used.  You
> > +can prioritize symbol values over environment values by setting
> > +`eshell-prefer-lisp-variables' to t.
> > +
> > +If the value is a symbol, the value bound to that symbol will be used.
> 
> Much better, thanks.

Would it be possible to reword this so that passive tense is used less
frequently?  E.g., instead of "the variable with that name in the
current environment will be returned", how about "return the variable
with that name in the current environment"?  And similarly with the
rest of the doc string.

Thanks.